Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8049 - Unable to detect Parallel Printer port during boot time
Summary: Unable to detect Parallel Printer port during boot time
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL: rfinstrom@uswest.net
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-29 18:13 UTC by rfinstrom
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 21:35:44 UTC


Attachments (Terms of Use)

Description rfinstrom 1999-12-29 18:13:24 UTC
I am using LINUX 6.1 Professional edition configured on an Intel AMD-K6
Processor using BIOS V4.51Pg from award software (ROM PCI/ISA BIOS
(2A5LEF09). The Linux kernel is Version 2.2.12-20.

During boot time the kernel(??) is not detecting the presence of the
parallel port LP1, and subsiquently no printing is working. The lpd comes
up ok and I can configure the printer and queue properly.

I am using the Gnome Workstation configuration (KDE does the same) using
both default settings selected settings.

I have this problem on two machines and in both cases the parallel port is
detected automatically and works properly using other Operating System
vendors (NT and Solaris Intel x386).

I am fairly new to LINUX and may need a walk through installing Patcheds or
Updates.

If you need further information I can run down the information in the logs
that you may require.

Thanks in advance,

Reuben Finstrom
Bloomington Minnesota.

Comment 1 Cristian Gafton 2000-01-27 08:14:59 UTC
I suspect this is the problem with the pc_parport alias device outlined in the
errata for the lpd package, but I assign it to the kernel folks to check it out
anyway.

Comment 2 Bill Nottingham 2000-02-05 21:35:59 UTC
This is fixed in a later version of the installer and in the latest
modutils in rawhide.

Add:

alias parport_lowlevel parport_pc

to /etc/conf.modules.


Note You need to log in before you can comment on or make changes to this bug.